      subroutine rdmlcf_pc(noaa)
c ... get coefficients for msu limb correction.
c ... version of 19.09.96
 
      include 'rfac.inc'
 
c ... parameters ..
      integer iuc,len,lenr
      parameter (iuc=36,len=498,lenr=len*4)
c ...
c ... scalar arguments ..
      integer noaa
c ...
c ... scalars in common ..
      character*4 ctype
c ...
c ... arrays in common ..
      real cbuf(len)
c ...
c ... local scalars ..
      integer irec
      character*8 mfile
      character*12 cfile
c ...
c ... common blocks ..
      common /cfdb/ctype
      common /msulim/cbuf
c ...
c ... data statements ..
      data mfile/'mlcf.dat'/
c ...
c ...
      cfile = ctype//mfile
      open (iuc,file=cfile,recl=lenr/rfac,access='direct',status='old',
     +     err=100)
      irec = noaa - 4
      read (iuc,rec=irec) cbuf
      call swap32(cbuf,len)
      close (iuc)
      return
      
  100 write(*,'(''error opening file '',a12,'' in rdmlcf'')') cfile
      stop
      
      end
