      subroutine msulc2(item,ipos,lst,isat,ifail)
c ... version of 26.04.95
c ... parameters ..
      integer mc,nc,ni,nk
      parameter (mc=4,nc=mc+1,ni=nc,nk=ni+1)
      integer lc,ns,nt
      parameter (lc=mc-1,ns=11,nt=18)
c ...
c ... scalar arguments ..
      integer ifail,ipos,isat,lst
c ...
c ... array arguments ..
      integer item(*)
c ...
c ... scalars in common ..
      integer lcmoff
c ...
c ... arrays in common ..
      real asym(lc,ns),aszm(lc,ni),coefl(ni,nc,nt)
c ...
c ... local scalars ..
      real sum,tmax,tmin
      integer i,init,j,k,l,ls
c ...
c ... local arrays ..
      real atem(nc),c(nc),crit(nk)
c ...
c ... external subroutines ..
      external rdmlcf_pc
c ...
c ... intrinsic functions ..
      intrinsic float,iabs
c ...
c ... common blocks ..
      common /msulim/coefl,asym,aszm
      common /nomlc/lcmoff
c ...
c ... data statements ..
      data crit/236.,238.,240.,245.,250.,260./
      data init/0/,tmin/150./,tmax/350./
c ...
c ...
      if (isat.ne.init) then
        call rdmlcf_pc(isat)
        init = isat
      end if
      ifail = 1
      do i = 1,mc
        atem(i) = .01*float(item(i))
        if (atem(i).lt.tmin .or. atem(i).gt.tmax) go to 130
      end do
      ifail = 0
      atem(nc) = atem(1)
      item(nc) = item(1)
      if (lcmoff.ne.0) go to 110
      l = iabs(ipos-6)
      ls = 1
      if (atem(1).lt.crit(l+1)) ls = 2
      if (ls.ne.lst) ls = 3
      lst = ls
      k = 3*l + ls
      do j = 1,nc
        sum = coefl(ni,j,k)
        do i = 1,mc
          sum = sum + coefl(i,j,k)*atem(i)
        end do
        c(j) = sum
      end do
      do j = 1,nc
        atem(j) = atem(j) + c(j)
      end do
      if (ipos.ne.6) then
        do i = 1,lc
          j = i + 1
          atem(j) = atem(j) + asym(i,ipos)
        end do
      end if
      go to 120
  110 if (ipos.lt.6) then
        do i = 1,lc
          j = i + 1
          atem(j) = atem(j) + aszm(i,ipos)
        end do
      end if
  120 do j = 1,nc
        item(j) = atem(j)*100. + .5
      end do
  130 return
      end
